package thed.zee.selenium.src;

import java.util.concurrent.TimeUnit;

import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.firefox.FirefoxDriver;

public class JunitTest {
	private static FirefoxDriver driver;
	WebElement element;

	@BeforeClass
	public static void openBrowser(){
		driver = new FirefoxDriver();
		driver.manage().timeouts().implicitlyWait(10, TimeUnit.SECONDS);
	} 

	@Test
	public void valid_UserCredential(){
		System.out.println("Starting test " + new Object(){}.getClass().getEnclosingMethod().getName());
		driver.get("https://www.getzephyr.com");	
		String pageTitle = "Software Testing Tools & Test Management Software | Zephyr";
		try {
			//Puts the thread to sleep for 2 seconds
			TimeUnit.SECONDS.sleep(2);
		} catch (InterruptedException e2) {
			e2.printStackTrace();
		}
		System.out.println(driver.getTitle());

		try {
			// Ensure the page title matches with our expected title

			Assert.assertEquals(driver.getTitle(), pageTitle);
			System.out.println("Pass");
		} catch (Throwable e1) {
			System.out.println("Fail");
			System.out.println(e1.getMessage());
		} 

	}

	@Test
	public void inValid_UserCredential()
	{
		System.out.println("Starting test " + new Object(){}.getClass().getEnclosingMethod().getName());
		driver.get("https://www.getzephyr.com");	
		String pageTitle = "Zephyr | Flexible Test Management Software";
		try {
			//Puts the thread to sleep for 2 seconds
			TimeUnit.SECONDS.sleep(2);
		} catch (InterruptedException e2) {
			e2.printStackTrace();
		}
		System.out.println(driver.getTitle());

		try {
			// Ensure the page title matches with our expected title
			System.out.println(driver.getTitle());
			Assert.assertEquals(driver.getTitle(), pageTitle);
			System.out.println("Pass");
		} catch (Throwable e1) {
			System.out.println("Fail");
			System.out.println(e1.getMessage());
		}

	}


}
